Skip to main content
GET
/
v1
/
prior-auth
/
authorizations
List Authorizations
curl --request GET \
  --url https://api.example.com/v1/prior-auth/authorizations
{
  "data": [
    {
      "id": "<string>",
      "workflowState": "needs_input",
      "decisionState": "unknown",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "hasMore": true,
    "totalCount": 123,
    "nextCursor": "<string>"
  }
}

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string | null
workflowState
enum<string> | null
Available options:
needs_input,
ready_to_submit,
submitting,
pending_payer,
action_required,
completed,
cancelled
decisionState
enum<string> | null
Available options:
unknown,
pending,
approved,
denied
payerId
string | null
serviceCode
string | null
serviceCodeSystem
string | null
createdAfter
string<date-time> | null
createdBefore
string<date-time> | null

Response

Successful Response

data
AuthorizationListItem · object[]
required
pagination
Pagination · object
required